#include <adventure-pack/ap-manager.h>

#include <glib.h>

typedef struct {
    APManager *manager;
} ManagerFixture;

void
manager_fixture_set_up (ManagerFixture *fixture,
                        gconstpointer   user_data);

void
manager_fixture_tear_down (ManagerFixture *fixture,
                           gconstpointer   user_data);

void
test_manager_ability_add (ManagerFixture *fixture,
                          gconstpointer   user_data);

void
test_manager_ability_add_with_no_name (ManagerFixture *fixture,
                                       gconstpointer   user_data);

void
test_manager_ability_add_with_duplicate_name (ManagerFixture *fixture,
                                              gconstpointer   user_data);

void
test_manager_ability_get (ManagerFixture *fixture,
                          gconstpointer   user_data);

void
test_manager_skill_add (ManagerFixture *fixture,
                        gconstpointer   user_data);

void
test_manager_skill_add_with_no_name (ManagerFixture *fixture,
                                     gconstpointer   user_data);

void
test_manager_skill_add_with_duplicate_name (ManagerFixture *fixture,
                                            gconstpointer   user_data);

void
test_manager_skill_get (ManagerFixture *fixture,
                        gconstpointer   user_data);

void
test_manager_remove_ability (ManagerFixture *fixture,
                             gconstpointer   user_data);

void
test_manager_remove_abilities (ManagerFixture *fixture,
                               gconstpointer   user_data);

void
test_manager_remove_skill (ManagerFixture *fixture,
                           gconstpointer   user_data);

void
test_manager_remove_skills (ManagerFixture *fixture,
                            gconstpointer   user_data);

void
test_manager_remove_all (ManagerFixture *fixture,
                         gconstpointer   user_data);

void
test_manager_signal_ability_score_changed_skill_score_changed (ManagerFixture *fixture,
                                                               gconstpointer   user_data);

void
test_manager_signal_skill_modifier_changed (ManagerFixture *fixture,
                                            gconstpointer   user_data);
